Loading...
Searching...
No Matches
XrdPfc::Print Class Reference

`#include <XrdPfcPrint.hh>`

Collaboration diagram for XrdPfc::Print:

## Public Member Functions

| Print (XrdOss *oss, char u, bool v, bool j, int i, const char *path)
| Constructor.

## Detailed Description

Definition at line 28 of file XrdPfcPrint.hh.

## Constructor & Destructor Documentation

## Print()

Print::Print | ( | XrdOss * | oss,
|  | char | u,
|  | bool | v,
|  | bool | j,
|  | int | i,
|  | const char * | path )

Constructor.

Definition at line 35 of file XrdPfcPrint.cc.

:
m_oss(oss), m_verbose(v), m_json(j), m_indent(i), m_ossUser("nobody")
{
if (u == 'k') {
m_unit_shift = 10;
m_unit_width = 12;
m_unit[0] = u; m_unit[1] = 'B'; m_unit[2] = 0;
} else if (u == 'M') {
m_unit_shift = 20;
m_unit_width = 12; // need 12 chars for header
m_unit[0] = u; m_unit[1] = 'B'; m_unit[2] = 0;
} else {
m_unit_shift = 0;
m_unit_width = 15;
m_unit[0] = 'B'; m_unit[1] = 0;
}
if (isInfoFile(path))
{
if (m_json) printFileJson(std::string(path));
else printFile(std::string(path));
}
else
{
XrdOssDF* dh = m_oss->newDir(m_ossUser);
if ( dh->Opendir(path, m_env) >= 0 )
{
printDir(dh, path);
}
delete dh;
}
}
XrdOssDF::Opendir
virtual int Opendir(const char *path, XrdOucEnv &env)
Definition XrdOss.hh:79

References XrdOssDF::Opendir().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- XrdPfcPrint.hh
- XrdPfcPrint.cc